=== debian/changelog ===
ros-humble-kdl-parser (2.6.4-1jammy) jammy; urgency=high

  * Backport rcutils logger fix to Humble (#73 <https://github.com/ros/kdl_parser/issues/73>)
  * Contributors: Joseph Schornak

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-kdl-parser (2.6.3-1jammy) jammy; urgency=high

  * Use orocos_kdl_vendor and orocos-kdl target (#69 <https://github.com/ros/kdl_parser/issues/69>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 05 Aug 2022 05:00:00 -0000

ros-humble-kdl-parser (2.6.2-1jammy) jammy; urgency=high

  * Depend on orocos-kdl vendor packages  (#58 <https://github.com/ros/kdl_parser/issues/58>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 05 Apr 2022 05:00:00 -0000

ros-humble-kdl-parser (2.6.1-1jammy) jammy; urgency=high

  * Install includes to include/ and misc CMake fixes (#61 <https://github.com/ros/kdl_parser/issues/61>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-kdl-parser (2.6.0-1jammy) jammy; urgency=high

  * Update to uncrustify 0.72 (#60 <https://github.com/ros/kdl_parser/issues/60>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 17 Dec 2021 06:00:00 -0000

ros-humble-kdl-parser (2.5.0-1jammy) jammy; urgency=high

  * Remove tinyxml dependency from kdl_parser. (#43 <https://github.com/ros/kdl_parser/issues/43>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 05 Oct 2020 05:00:00 -0000

ros-humble-kdl-parser (2.4.1-1jammy) jammy; urgency=high

  * Remove unused find_library call (#40 <https://github.com/ros/kdl_parser/issues/40>)
  * Contributors: Michael Carroll

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 07 Aug 2020 05:00:00 -0000

ros-humble-kdl-parser (2.4.0-1jammy) jammy; urgency=high

  * Deprecate treeFromXml (#8 <https://github.com/ros2/kdl_parser/issues/8>)
  * Contributors: Dan Rose

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-kdl-parser (2.3.0-1jammy) jammy; urgency=high

  * export targets in a addition to include directories / libraries (#6 <https://github.com/ros2/kdl_parser/issues/6>)
  * code style only: wrap after open parenthesis if not in one line (#5 <https://github.com/ros2/kdl_parser/issues/5>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 29 Apr 2020 05:00:00 -0000

ros-humble-kdl-parser (2.2.0-1jammy) jammy; urgency=high

  * Fix up missing link tags in some XML files. (#15 <https://github.com/ros2/kdl_parser/issues/15>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 20 Nov 2018 06:00:00 -0000

ros-humble-kdl-parser (2.1.0-1jammy) jammy; urgency=high

  * point to the source and bugtracker used in ros2 (#3 <https://github.com/ros2/kdl_parser/issues/3>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 26 Jun 2018 05:00:00 -0000

ros-humble-kdl-parser (1.12.10-1jammy) jammy; urgency=high

  * Use result of find_package(orocos_kdl) properly (#200 <https://github.com/ros/robot_model/issues/200>)
    orocos_kdl_LIBRARY_DIRS was not set

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 17 May 2017 05:00:00 -0000

ros-humble-kdl-parser (1.12.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 26 Apr 2017 05:00:00 -0000

ros-humble-kdl-parser (1.12.8-1jammy) jammy; urgency=high

  * add Chris and Shane as maintainers (#184 <https://github.com/ros/robot_model/issues/184>)
  * fix missed mandatory -std=c++11 flag (#181 <https://github.com/ros/robot_model/issues/181>)
    collada_parser,kdl_parser,urdf: add c++11 flag,
    collada_parser: replace typeof with ansi __typeof__
    builded/tested on gentoo
    Thanks den4ix for the contribution!
  * Contributors: Denis Romanchuk, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-humble-kdl-parser (1.12.7-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 26 Jan 2017 06:00:00 -0000

ros-humble-kdl-parser (1.12.6-1jammy) jammy; urgency=high

  * Now using ``urdf::*ShredPtr`` instead of ``boost::shared_ptr`` (#144 <https://github.com/ros/robot_model/issues/144>)
  * Contributors: Jochen Sprickerhof

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 04 Jan 2017 06:00:00 -0000

ros-humble-kdl-parser (1.12.5-1jammy) jammy; urgency=high

  * fix segfault: safely handle empty robot model (#154 <https://github.com/ros/robot_model/issues/154>)
  * Contributors: Robert Haschke

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 27 Oct 2016 05:00:00 -0000

ros-humble-kdl-parser (1.12.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 23 Aug 2016 05:00:00 -0000

ros-humble-kdl-parser (1.12.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Jun 2016 05:00:00 -0000

ros-humble-kdl-parser (1.12.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Tue, 12 Apr 2016 05:00:00 -0000

ros-humble-kdl-parser (1.12.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 10 Apr 2016 05:00:00 -0000

ros-humble-kdl-parser (1.11.8-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 11 Sep 2015 05:00:00 -0000

ros-humble-kdl-parser (1.11.7-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 22 Apr 2015 05:00:00 -0000

ros-humble-kdl-parser (1.11.6-1jammy) jammy; urgency=high

  * add version dependency on orocos_kdl >= 1.3.0
  * Contributors: William Woodall


