=== debian/control ===
Source: ros-humble-kdl-parser
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-orocos-kdl-vendor, ros-humble-rcutils, ros-humble-urdf, ros-humble-urdfdom-headers, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-kdl-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-orocos-kdl-vendor, ros-humble-rcutils, ros-humble-urdf, ros-humble-urdfdom-headers, ros-humble-ros-workspace
Description: The Kinematics and Dynamics Library (KDL) defines a tree structure to represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot representation in URDF.
